### Name: verb
### Title: OAI-PMH Verb Functions
### Aliases: oaih_get_record oaih_identify oaih_list_identifiers
###   oaih_list_metadata_formats oaih_list_records oaih_list_sets


### ** Examples

## Harvest Epub@WU metadata.
baseurl <- "http://epub.wu-wien.ac.at/dyn/OAI/oaicgi.pl"
## Identify.
oaih_identify(baseurl)
## List metadata formats.
oaih_list_metadata_formats(baseurl)
## List sets.
oaih_list_sets(baseurl)
## List records in the 'theses' set.
x <- oaih_list_records(baseurl, set = "theses")
## Extract the metadata.
m <- oaih_transform(x[, "metadata"])
## Cross-tabulate year and language.
table(Year = unlist(m[, "date"]),
      Language = unlist(m[, "language"]))



