###################################################
### chunk number 1: 
###################################################
library("OAIHarvester")
baseurl <- "http://epub.wu-wien.ac.at/dyn/OAI/oaicgi.pl"


###################################################
### chunk number 2: 
###################################################
require("XML")
options(warnPartialMatchArgs = FALSE)
options(width = 80)


###################################################
### chunk number 3: 
###################################################
x <- oaih_identify(baseurl)
rbind(x, deparse.level = 0)


###################################################
### chunk number 4: 
###################################################
sapply(x$description, xmlName)


###################################################
### chunk number 5: 
###################################################
oaih_transform(x$description[[2L]])


###################################################
### chunk number 6: 
###################################################
oaih_list_metadata_formats(baseurl)
oaih_list_sets(baseurl)


###################################################
### chunk number 7: 
###################################################
x <- oaih_list_records(baseurl, set = "theses")


###################################################
### chunk number 8: 
###################################################
dim(x)
colnames(x)


###################################################
### chunk number 9: 
###################################################
m <- oaih_transform(x[, "metadata"])
dim(m)


###################################################
### chunk number 10: 
###################################################
colnames(m)


###################################################
### chunk number 11:  eval=FALSE
###################################################
## m[grep("Hornik", m[ , "contributor"]), ]


###################################################
### chunk number 12: 
###################################################
m1 <- m[grep("Hornik", m[ , "contributor"]), ]
m1[] <- lapply(m1,
               function(s) {
                   long <- nchar(s, type = "c") > 60L
                   paste(substr(s, 1L, 60L),
                         ifelse(long, " [truncated]", ""),
                         sep = "")
               })
m1


###################################################
### chunk number 13: 
###################################################
table(unlist(m[, "format"]))


###################################################
### chunk number 14: 
###################################################
table(unlist(m[, "date"]), unlist(m[, "language"]))


###################################################
### chunk number 15: 
###################################################
m[c(2L, 5L, 6L), "subject"]


###################################################
### chunk number 16: 
###################################################
sep <- "[[:space:]]*/[[:space:]]*"
keywords_by_thesis <- strsplit(unlist(m[, "subject"]), sep)
keywords <- unlist(keywords_by_thesis)


###################################################
### chunk number 17: 
###################################################
counts <- table(keywords)
table(counts)


###################################################
### chunk number 18: 
###################################################
sort(counts[counts >= 3L], decreasing = TRUE)


###################################################
### chunk number 19: 
###################################################
counts["R"]


###################################################
### chunk number 20: 
###################################################
m[sapply(keywords_by_thesis, function(kw) any(kw == "R")),
  c("title", "creator")]


###################################################
### chunk number 21: 
###################################################
m[grep("^Feinerer", unlist(m[, "creator"])),
  c("title", "creator", "subject")]


